This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 130634 - sshd connection hangs on X11 forward from some clients
sshd connection hangs on X11 forward from some clients
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-23 02:15 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-25 08:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-23 02:15:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.8a3) Gecko/20040814 Firefox/0.9.1+

Description of problem:
Some clients (eg MacOS X, FC1/i386 reported too, FC2/i386 seems fine)
cannot use X11 forwarding to a FC2/x86_64 openssh server.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. find a (eg) MacOS X openssh client
2. "ssh -X" into FC2 x86_64 box, run non-X11 programs--all is fine
3. run an X11 program
4. boom


Actual Results:  The entire SSH connection hangs.

Expected Results:  The SSH connection should continue, and forward the
X11 client.

Additional info:

It even crashes if you log into a different box from the x86_64 box
and start a client there.
Comment 1 Damien Miller 2004-08-24 20:53:32 EDT
I have seen this from an OpenBSD box to a FC2 box, but it isn't
reliable and I can reproduce it when the two systems are on the same
network.
Comment 2 Tomas Mraz 2005-04-05 15:56:41 EDT
Do you see the problem when ssh-ing to FC3 with updates installed? Or up-to-date
FC development box?
Comment 3 Tomas Mraz 2005-05-25 08:56:51 EDT
No response.

Note You need to log in before you can comment on or make changes to this bug.